from http.client import HTTPResponse
from django.shortcuts import render, redirect
import json

from .forms import (
    PegForm,
    SectionForm,
    MemberForm,
    TeamForm
)


def index(request):
    return render(request, 'index.html')

def teams(request):
    
    if request.method == 'POST':
        form = TeamForm(request.POST)
        if form.is_valid():
            form.save()
            redirect('/')
        
    else:
        form = TeamForm()
    
    return render(request, 'teams.html', {'form': form})

def scores(request):
    if request.method == 'POST':
        form = MemberForm(request.POST)
        if form.is_valid():
            form.save()
            redirect('/')
        
    else:
        form = MemberForm()
    
    return render(request, 'scores.html', {'form': form})

def results(request):
    if request.method == 'POST':
        form = SectionForm(request.POST)
        if form.is_valid():
            form.save()
            redirect('/')
        
    else:
        form = SectionForm()
    
    return render(request, 'results.html', {'form': form})

def save_teamnumber(request):
    print(request.method, request.POST.items())
    if request.method == 'POST':
        a = request.POST['a']
        message = 'update successful'
        with open ("data.json", "w") as file:
            json.dump(a, file)
    else:
        message = 'input valid data'
        
    return HTTPResponse(message)