"""URLS for the users app."""

from django.urls import path

from .views import LoginView, LogoutView, RegisterView, IndexView


app_name = "users"

urlpatterns = [
    path("", IndexView.as_view(), name="index"),
    path("login/", LoginView.as_view(), name="login"),
    path("logout/", LogoutView.as_view(), name="logout"),
    path("register/", RegisterView.as_view(), name="register"),
]
