"""URLs for the main app"""

from django.urls import path

from .views import IndexView


app_name = "main"

urlpatterns = [
    path("", IndexView.as_view(), name="index"),
    path("teams/", IndexView.as_view(), name="teams"),
    path("sections/", IndexView.as_view(), name="sections"),
    path("results/", IndexView.as_view(), name="results"),
]